/**
 * @fileOverview  Initializing Firebase Project, Cloud Firestore & Authentication Instances
 * @author Gerd Wagner
 * @author Juan-Francisco Reyes
 */
import { initializeApp, getApp, getApps }
  from "https://www.gstatic.com/firebasejs/9.8.1/firebase-app.js";
import { getFirestore }
  from "https://www.gstatic.com/firebasejs/9.8.1/firebase-firestore.js";
import { getAuth }
  from "https://www.gstatic.com/firebasejs/9.8.1/firebase-auth.js";

// TODO: Replace the following with your web app's Firebase project configuration
const config = {
  apiKey: "",
  authDomain: "",
  projectId: "",
  appId: "",
  };
// Initialize a Firebase App object only if not already initialized
const app = (!getApps().length) ? initializeApp( config ) : getApp();
// Initialize Firebase Authentication
const auth = getAuth( app);
// Initialize Cloud Firestore interface
const fsDb = getFirestore();

export { auth, fsDb };
